DO $$
DECLARE
	_path  character varying(256) := 'patch-2026_04_03-Applications_AddCustomerId';
	_build integer := 16236;
BEGIN
	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Path" = _path) THEN
		RETURN;
	END IF;

	IF EXISTS (SELECT 1 FROM public."Versions" WHERE "Build" >= _build) THEN
		RETURN;
	END IF;

	BEGIN

        ALTER TABLE public."Applications" ADD "CustomerId" bigint NULL;


    EXCEPTION
		WHEN OTHERS THEN
			RAISE NOTICE '[ERR] %: %', _path, SQLERRM;
	END;
END;
$$;
